API Keys
Retrieve API Keys
Retrieve API Key
Retrieve an api key using its id.
List API Keys
This endpoint allows you to retrieve multiple API Keys associated with your organization. The response will always include a data array containing the API Keys, even if no keys are found.
Filtering
Use the types query parameter to filter API Keys by type. You can specify user, system, or both (comma-separated).
You can also filter API Keys by workflow assignment using the workflow_id query parameter. Prefix the value with none: to invert the filter and return keys that are NOT attached to that workflow. This filter requires the caller to also hold the workflows:read scope.
Pagination
The response includes a pagination object with the following properties:
- has_more - Indicates if there are more api keys available
- page - Current page number (default: 1)
- limit - Number of results per page (default: 25)
- total_count - Total number of api keys in the database.
To retrieve the next page of results:
Sorting
Control the order of results using:
If no sorting parameter is specified, the system defaults to sorting by name in ascending order asc
Example with sorting: